#include <bits/stdc++.h>
using namespace std;
#define task "PT2"
int main()
{
    freopen(task".inp","r",stdin);
    freopen(task".out","w",stdout);
    double a,b,c,d;
    cin>>a>>b>>c;
    d=b*b-4*a*c;
    if(a==0)
     {
          cout<<setprecision(2)<<fixed<<(-b)/(c);
     }
    if(d<0&&a!=0)
    {
        cout<<"NO";
    }
    if (d>=0&&a!=0)
            {
             cout<<setprecision(2)<<fixed<<((-b)-sqrt(d))/(2*a)<<" "<<setprecision(2)<<fixed<<((-b)+sqrt(d))/(2*a);
            }
    if (a==0&&b==0)
    cout<<"YES";
}
